package main

import (
	"fmt"
)

func main() {
	var name string
	var wage float64
	var age int

	data := "Riley is 35 and makes $25.50 per hour"
	format := "%s is %d and makes $%f per hour"

	n, err := fmt.Sscanf(data, format, &name, &age, &wage)

	if err != nil {
		panic(err)
	}

	fmt.Printf("name: %s, wage: $%.2f, age: %d\n", name, wage, age)
	fmt.Printf("%d values successfuly scanned\n", n)
}
